### Method

# ECal ComponentParameterBag set_from_property

since: 3.34

#### Declaration [src]

    void
    e_cal_component_parameter_bag_set_from_property (
      ECalComponentParameterBag* bag,
      const ICalProperty* property,
      ECalComponentParameterBagFilterFunc func,
      gpointer user_data
    )

#### Description [src]

Fills the `bag` with parameters from the `property`, for which the `func` returned `TRUE`. When the `func` is `NULL`, all the parameters are included. The `bag` content is cleared before any parameter is added.

Available since: 3.34

#### Parameters

`property`

  Type: `None`

  An `ICalProperty` containing the parameters to fill the `bag` with.

  The data is owned by the caller of the method.

`func`

  Type: `ECalComponentParameterBagFilterFunc`

  An optional %ECalComponentParameterBagFilterFunc callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.